You are not logged in.

Dear visitor, welcome to Round Solutions M2M and wireless Support Forum. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

1

Friday, April 20th 2007, 1:01pm

GPRS ERROR with some modules

Q: Type of module? A: GM862-GPRS
Q: Firmware version? A: 1.03.025
Q: Type of starter kit you have? A: none

Hello!

We have GM862-GPRS modules. We communicate on GPRS with the following commands:
AT
AT&KO
AT+CPIN=xxxx
AT+CREG ;while connected with +CREG 0,1
AT+CGDCONT=1,"IP","net","0.0.0.0",0,0
AT#GPRS=1
...
AT#SKTD=0,450,"xxx.xxx.xxx.xxx",255
...

This commands perfectly work with some GM862 modules.
Now we have some GM862-GPRS modules from an other vendor. These modules don't work within the same environment (same hardware components around the GM862 module, same controlling software and the same SIM-card). The new modules returns "ERROR" after AT#GPRS=1 command.
We tried to set userid and password, (the provider requires empty strings, so the defaults must be good), but it hasn't solved the problem.
These modules have version number 1.03.025, but we don't have the hardware tools to directly attach the module to a PC, so we don't want to upgrade if it's not necessary.

we have tried the following things:

AT+CGATT=' returns OK
AT+CGACT=1,1 returns OK

ATD*99***1# returns CONNECT
AT+CGDATA="PPP",1 returns CONNECT

What is missing?
Does the upgrade solve the problem?

Thanks

Cosmin Buhu

Unregistered

2

Friday, April 20th 2007, 2:27pm

Why don't you ask the other vendor?
Hint: they are selling you from a very old stock.

Please email us directly.

Why is this thread closed?

Rate this thread